Bug 205270 - R-value references breaks code model parser
R-value references breaks code model parser
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1
All All
: P1 (vote)
: 7.1
Assigned To: Vladimir Voskresensky
issues@cnd
: 71_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-18 08:59 UTC by Vladimir Voskresensky
Modified: 2011-12-01 13:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-11-18 08:59:13 UTC
namespace std {
template<class _Elem,
	class _Traits>
	class basic_ostream
		: virtual public basic_ios<_Elem, _Traits>
	{	// control insertions into a stream buffer
public:


	 basic_ostream(_Myt&& _Right)
		{	// construct by moving _Right
		}

	_Myt&  operator=(_Myt&& _Right)
		{	// move from _Right
		return (*this);
		}

	void  swap(_Myt& _Right)
		{	// swap with _Right
		}
	};

template<class _Elem,
	class _Traits,
	class _Ty> inline
	basic_ostream<_Elem, _Traits>&
		operator<<(basic_ostream<_Elem, _Traits>&& _Ostr, _Ty _Val)
	{	// insert to rvalue stream
	return (_Ostr << _Val);
	}
 }
Comment 1 Vladimir Voskresensky 2011-11-18 09:30:38 UTC
Parser fail breaks code model significantly. We should support such constructions in 7.1
Comment 2 Vladimir Voskresensky 2011-11-18 09:50:51 UTC
fixed 
http://hg.netbeans.org/cnd-main/rev/2ca22125ee8d
Comment 3 nnnnnk 2011-11-18 10:52:19 UTC
reviewed. looks safe and correct.
Comment 4 Quality Engineering 2011-11-19 16:16:58 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/2ca22125ee8d
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #205270 - R-value references breaks code model parser
Comment 5 Vladimir Voskresensky 2011-11-22 12:07:28 UTC
integrated into 71
http://hg.netbeans.org/releases/rev/6581023fc400
Comment 6 Quality Engineering 2011-11-23 07:11:18 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/6581023fc400
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #205270 - R-value references breaks code model parser
Comment 7 soldatov 2011-12-01 13:35:04 UTC
Verified in NetBeans IDE 7.1 RC2 (Build 201111302200)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo